#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.11.0.7
visibility:           public
id:                   lsp-test-0.11.0.7-9lKIOk8gkwi5GTqq9KmDNc
key:                  lsp-test-0.11.0.7-9lKIOk8gkwi5GTqq9KmDNc
license:              BSD-3-Clause
copyright:            2020 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.Haskell.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.Haskell.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  ac8935bf75a25c4dd960e43966402f84
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB:Control.Applicative.Combinators,
    Language.Haskell.LSP.Test, Language.Haskell.LSP.Test.Replay,
    Language.Haskell.LSP.Types from haskell-lsp-types-0.24.0.0-GbG8StK7XhBKD5iimdYsZT:Language.Haskell.LSP.Types,
    Language.Haskell.LSP.Types.Capabilities from haskell-lsp-types-0.24.0.0-GbG8StK7XhBKD5iimdYsZT:Language.Haskell.LSP.Types.Capabilities

hidden-modules:
    Language.Haskell.LSP.Test.Compat Language.Haskell.LSP.Test.Decoding
    Language.Haskell.LSP.Test.Exceptions
    Language.Haskell.LSP.Test.Files Language.Haskell.LSP.Test.Messages
    Language.Haskell.LSP.Test.Parsing Language.Haskell.LSP.Test.Server
    Language.Haskell.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-test-0.11.0.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-test-0.11.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp0-test
hs-libraries:         HSlsp-test-0.11.0.7-9lKIOk8gkwi5GTqq9KmDNc
depends:
    Diff-0.4.1-LL6jXQirC7S3SPfGykae6l
    Glob-0.10.2-4sSupuhkxx8AtMxZQBpWpP
    aeson-1.5.6.0-GZUW0RX6wR0GNyId2zbUZx
    aeson-pretty-0.8.9-JgwmWNQqkZ88vmb6GH5qjO
    ansi-terminal-0.11.1-9xxi73f90x59FtLuRKq3fL
    async-2.2.4-2ufaJCQRySkEO7WXEoMHRn base-4.15.1.0
    bytestring-0.10.12.1 conduit-1.3.4.2-GrrMREMhAVI242j6S4hGxm
    conduit-parse-0.2.1.0-IrruGAmPQszBrSKde49to5 containers-0.6.4.1
    data-default-0.7.1.1-IhQr772Rp9DBpduGZCnNjb directory-1.3.6.2
    filepath-1.4.2.1 haskell-lsp-0.24.0.0-LpTRIx0BcOv7ZzypKFWLLW
    lens-5.1-4XRUjxQvXID6iuJqyxGAve mtl-2.2.2
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB process-1.6.13.2
    text-1.2.5.0 transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP

haddock-interfaces:   /usr/share/doc/haskell-lsp0-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp0-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

